# Data Dictionary: Glassdoor Companies

Dictionary contains explanations and examples of all data fields available in the **Glassdoor** **Companies** dataset.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Company profile details](#company-profile-details)
3. [Firmographics](#firmographics)
4. [Related posts](#related-posts)
5. [Ratings](#ratings)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/glassdoor/glassdoor-companies/data-sample.md).
{% endhint %}

***

## Metadata

### Record metadata

| Data field             | Description                                          | Data type                  |
| ---------------------- | ---------------------------------------------------- | -------------------------- |
| `meta`                 | Contains metadata about the record                   | Object                     |
| `created_at_date`      | Date when the record was initially scraped           | Array of numbers (integer) |
| `created_at_timestamp` | Unix timestamp for when the record was first scraped | Float                      |
| `updated_at_date`      | Date when the record was last updated                | Array of numbers (integer) |
| `updated_at_timestamp` | Unix timestamp for when the record was last updated  | Float                      |
| `version_id`           | Identifier for the dataset version                   | String                     |
| `source`               | Source from which the record was obtained            | String                     |
| `object`               | Data object type                                     | String                     |
| `is_deleted`           | Indicates if the record is available on Glassdoor    | Boolean                    |

**See a snippet of the dataset for reference:**

{% code title="Record metadata" %}

```json
"_meta": {
	"source": "glassdoor",
	"object": "company",
	"created_at_date": [
		2021,
		1,
		22
	],
	"created_at_timestamp": 1611290232.696056,
	"updated_at_date": [
		2024,
		11,
		1
	],
	"updated_at_timestamp": 1714561033.173981,
	"version_id": "28ff7dfe",
	"is_deleted": false
```

{% endcode %}

### Profile metadata

| Data field       | Description                                                                                           | Data type |
| ---------------- | ----------------------------------------------------------------------------------------------------- | --------- |
| `doc`            | Dataset starting point                                                                                | Object    |
| `source_id`      | Record identifier on Glassdoor                                                                        | String    |
| `main_source_id` | Indicates the primary company profile when there are multiple profiles for different company branches | String    |
| `id`             | Record identifier in our database                                                                     | String    |

**See a snippet of the dataset for reference:**

{% code title="Meta information" %}

```json
"doc": {
      "source_id": "1144661",
      "main_source_id": "6036",
      "id": "glassdoor_company_1144661",
```

{% endcode %}

## Company profile details

| Data field    | Description                                                              | Data type |
| ------------- | ------------------------------------------------------------------------ | --------- |
| `url`         | Profile URL                                                              | String    |
| `image`       | Logo URL                                                                 | String    |
| `description` | <p>Description<br><strong>Note:</strong> contains control characters</p> | String    |
| `mission`     | Mission statement                                                        | String    |

**See a snippet of the dataset for reference:**

{% code title="Company profile details" %}

```json
"url": "https://www.glassdoor.com.au/Overview/Working-at-example-company-EI_IE97866566655556416.htm?countryPickerRedirect=true",
"image": "https://media.glassdoor.com/sql/978416/example-company-squarelogo-1545395085457.png",
"description": "Example Company is a cutting-edge IT company specializing in innovative software development, cloud computing services, and cybersecurity solutions for businesses worldwide.",
"mission": "Our mission is to empower businesses with innovative and reliable IT solutions, driving growth and efficiency through technology.",
```

{% endcode %}

## Firmographics

| Data field       | Description           | Data type |
| ---------------- | --------------------- | --------- |
| `location`       | Headquarters location | String    |
| `name`           | Name                  | String    |
| `type`           | Type                  | String    |
| `founded`        | Founding year         | Integer   |
| `industry`       | Associated industry   | String    |
| `employee_count` | Size                  | String    |

**See a snippet of the dataset for reference:**

{% code title="Company details" %}

```json
"location": "Indianapolis, IN",
"name": "Example Company",
"type": "Company - Public",
"founded": 2011,
"industry": "Security & Protective",
"employee_count": "1 to 50 Employees",
```

{% endcode %}

### CEO

| Data field           | Description                    | Data type |
| -------------------- | ------------------------------ | --------- |
| `ceo`                | Full name of the company's CEO | String    |
| `ceo_approval_count` | Approval rate of the CEO       | Float     |

**See a snippet of the dataset for reference:**

{% code title="CEO" %}

```json
"ceo": "John Doe",
"ceo_approval_count": -1.0,
```

{% endcode %}

### Revenue

| Data field | Description | Data type |
| ---------- | ----------- | --------- |
| `revenue`  | Revenue     | String    |

**See a snippet of the dataset for reference:**

{% code title="Revenue" %}

```json
"revenue": "$2 to $5 billion (USD)",
```

{% endcode %}

### Website

| Data field | Description | Data type |
| ---------- | ----------- | --------- |
| `website`  | Website URL | String    |

**See a snippet of the dataset for reference:**

{% code title="Social media presence" %}

```json
"website": "https://example-company.io",
```

{% endcode %}

### Affiliated companies

| Data field             | Description                                  | Data type        |
| ---------------------- | -------------------------------------------- | ---------------- |
| `affiliated_companies` | List of affiliated companies                 | Array of objects |
| `url`                  | Company profile URL                          | String           |
| `name`                 | Company name                                 | String           |
| `is_parent`            | Indicates if the company is a parent company | Boolean          |

**See a snippet of the dataset for reference:**

{% code title="Affiliated companies" %}

```json
"affiliated_companies": [
    {
      "url": "https://www.glassdoor.com/Overview/Working-at-field-work-EI_IE444334.11,21.htm",
      "name": "Example Company",
      "is_parent": true
    },
    {
      "url": "https://www.glassdoor.com/Overview/Working-at-EI_IEddd35r434433ccc55818.htm",
      "name": "Other Company",
      "is_parent": false
    }
  ]
```

{% endcode %}

## Related posts

| Data field        | Description                                                 | Data type |
| ----------------- | ----------------------------------------------------------- | --------- |
| `job_count`       | Number of active job postings                               | Integer   |
| `salary_count`    | Number of company salary posts                              | Integer   |
| `benefit_count`   | Number of employee comments/ratings on the company benefits | Integer   |
| `review_count`    | Number of employee reviews                                  | Integer   |
| `interview_count` | Number of employee comments on job interviews               | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Related posts" %}

```json
"job_count": 239,
"salary_count": 716,
"benefit_count": 172,
"review_count": 568,
"interview_count": 93,
```

{% endcode %}

## Ratings

### Overall rating

| Data field   | Description          | Data type |
| ------------ | -------------------- | --------- |
| `rating`     | Ratings on Glassdoor | Object    |
| `aggregated` | Overall rating       | Float     |

**See a snippet of the dataset for reference:**

{% code title="Rating" %}

```json
"rating": {
          "aggregated": 3.8,
        },
```

{% endcode %}

### Rating distribution

| Data field                | Description                                                               | Data type |
| ------------------------- | ------------------------------------------------------------------------- | --------- |
| `star_distribution`       | Count of each star rating given in the reviews                            | Object    |
| `1` - `5`                 | Number of reviews that gave one to five stars to the company              | Integer   |
| `percentage_distribution` | Percentage distribution of each star rating in the reviews                | Object    |
| `1` - `5`                 | Percentage distribution by the total number of stars given in the reviews | Float     |

**See a snippet of the dataset for reference:**

{% code title="Stars" %}

```json
"star_distribution": {
            "1": 13,
            "2": 23,
            "3": 52,
            "4": 64,
            "5": 60
          },
          "percentage_distribution": {
            "1": 6.13,
            "2": 10.85,
            "3": 24.53,
            "4": 30.19,
            "5": 28.3
          }
```

{% endcode %}

### Detailed ratings

| Data field              | Description                                                                                               | Data type |
| ----------------------- | --------------------------------------------------------------------------------------------------------- | --------- |
| `rating`                | <p>Detailed ratings<br><strong>Note</strong>: optional ratings that might not be visible in the data.</p> | Object    |
| `culture_values`        | Average rating for the company's culture and values                                                       | Float     |
| `career_opportunities`  | Average rating for the career opportunities in the company                                                | Float     |
| `compensation_benefits` | Average rating for the compensation and benefits in the company                                           | Float     |
| `senior_management`     | Average rating for the company's senior management                                                        | Float     |
| `work_life_balance`     | Average rating for the work-life balance in the company                                                   | Float     |
| `diversity_inclusion`   | Average rating for diversity and inclusion in the company                                                 | Float     |
| `biz_outlook`           | Percentage of employee reviews indicating a `positive business outlook`                                   | Float     |
| `ceo`                   | Percentage of employee reviews that `approve of CEO`                                                      | Float     |
| `recommend`             | Percentage of employee reviews that `recommend to a friend`                                               | Float     |

**See a snippet of the dataset for reference:**

{% code title="Detailed rating" %}

```json
"rating": {
        "culture_values": 3.9,
        "career_opportunities": 3.7,
        "compensation_benefits": 3.5,
        "senior_management": 3.3,
        "work_life_balance": 3.6,
        "diversity_inclusion": 3.9,
        "biz_outlook": 61,
        "ceo": 87.0,
        "recommend": 73
            }
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/additional-sources/glassdoor/glassdoor-companies/data-dictionary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
